package org.rcisoft.common.util.fallback;

import lombok.extern.slf4j.Slf4j;
import org.rcisoft.common.util.feignClient.MicroappFeignClient;
import org.rcisoft.common.util.feignDto.HaveJurisdictionReqDTO;
import org.rcisoft.core.result.Ret;

@Slf4j
public class MicroappFeignClientFallBack implements MicroappFeignClient {
    @Override
    public Ret isHaveApps(Long UserId, Long corpId, Long appId, String zxClientType, Long zxAccountId) {

        log.error("---------------调智信接口 micro_app/isHaveApps 失败-------------------");

        return new Ret();
    }

    @Override
    public Ret haveJurisdictionUser(HaveJurisdictionReqDTO haveJurisdictionReqDTO, String zxClientType, Long zxAccountId) {

        log.error("---------------调智信接口 /micro_app/haveJurisdictionUserFast（筛选有通知权限的人） 失败-------------------");

        return new Ret();
    }

    @Override
    public Ret haveJurisdictionUserFast(HaveJurisdictionReqDTO haveJurisdictionReqDTO, String zxClientType, Long zxAccountId) {

        log.error("---------------调智信接口 /micro_app/haveJurisdictionUserFast（筛选有通知权限的人-优化） 失败-------------------");

        return new Ret();
    }
}
