package org.rcisoft.common.util.feignDto;

import lombok.Data;

import java.util.List;

@Data
public class CorpGetManager {

    /**
     *  "corpId": "6",
     *  "accountId": "127",
     *  "id": "1126774546725994498",
     *  "sysLevel": 2,
     *  "name": "刘纯",
     *  "tel": "18622227181",
     *  "jobNumber": "",
     *  "depts": [
     *   {
     *       "id": "178",
     *       "name": "美腾市场营销事业部1",
     *       "count": null,
     *       "pids": "0,1042237414280511489"
     *   }
     *   ],
     *   "position": null,
     *   "deptIds": null,
     *   "isAll": "0"
     */

    private String corpId;

    private String accountId;

    private String id;

    private Integer sysLevel;

    private String name;

    private String tel;

    private String jobNumber;

    private List<CorpGetManagerDeptDTO> depts;

    private String position;

    private String deptIds;

    private String isAll;

    @Data
    public static class CorpGetManagerDeptDTO {

        /**

         *  "id": "178",
         *  "name": "美腾市场营销事业部1",
         *  "count": null,
         *  "pids": "0,1042237414280511489"
         */

        private String count;

        private String id;

        private String name;

        private String pids;
    }


}
