package org.rcisoft.common.util.fallback;

import lombok.extern.slf4j.Slf4j;
import org.rcisoft.common.util.feignClient.NotificationFeignClient;
import org.rcisoft.common.util.feignDto.MTNotificationSendReqDTO;
import org.rcisoft.core.result.NotiRet;

@Slf4j
public class NotificationFeignClientFallBack implements NotificationFeignClient {
    @Override
    public NotiRet sendMessage(MTNotificationSendReqDTO mtNotificationSendReqDTO, String zxClientType, Long zxAccountId) {

        log.error("---------------发送通知接口报错------------------");

        return new NotiRet();
    }
}
