package org.rcisoft.common.util.feignDto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class HaveJurisdictionReqDTO {

    @NotNull
    private Long corpId;

    @NotNull
    private List<Long> userIds;

    @NotNull
    private Long appId;

    public HaveJurisdictionReqDTO(Long corpId,List<Long> userIds){
        this.corpId = corpId;
        this.userIds = userIds;
    }
}